# AWS API client for AWS CodeStar Notifications

**Warning: This is a generated library, some operations may not work.**

*About the service:*
This AWS CodeStar Notifications API Reference provides descriptions and
usage examples of the operations and data types for the AWS CodeStar
Notifications API. You can use the AWS CodeStar Notifications API to work
with the following objects:

Notification rules, by calling the following:

<ul>
<li>
<a>CreateNotificationRule</a>, which creates a notification rule for a
resource in your account.
</li>
<li>
<a>DeleteNotificationRule</a>, which deletes a notification rule.
</li>
<li>
<a>DescribeNotificationRule</a>, which provides information about a
notification rule.
</li>
<li>
<a>ListNotificationRules</a>, which lists the notification rules associated
with your account.
</li>
<li>
<a>UpdateNotificationRule</a>, which changes the name, events, or targets
associated with a notification rule.
</li>
<li>
<a>Subscribe</a>, which subscribes a target to a notification rule.
</li>
<li>
<a>Unsubscribe</a>, which removes a target from a notification rule.
</li>
</ul>
Targets, by calling the following:

<ul>
<li>
<a>DeleteTarget</a>, which removes a notification rule target (SNS topic)
from a notification rule.
</li>
<li>
<a>ListTargets</a>, which lists the targets associated with a notification
rule.
</li>
</ul>
Events, by calling the following:

<ul>
<li>
<a>ListEventTypes</a>, which lists the event types you can include in a
notification rule.
</li>
</ul>
Tags, by calling the following:

<ul>
<li>
<a>ListTagsForResource</a>, which lists the tags already associated with a
notification rule in your account.
</li>
<li>
<a>TagResource</a>, which associates a tag you provide with a notification
rule in your account.
</li>
<li>
<a>UntagResource</a>, which removes a tag from a notification rule in your
account.
</li>
</ul>
For information about how to use AWS CodeStar Notifications, see link in the
CodeStarNotifications User Guide.

## Links

- [Other AWS libraries](https://github.com/agilord/aws_client/tree/master/generated).
- [Issue tracker](https://github.com/agilord/aws_client/issues).
- [AWS API definitions](https://github.com/aws/aws-sdk-js/tree/master/apis).

## Contributors

- [Jonathan Böcker](https://github.com/Schwusch)
- [Istvan Soós](https://github.com/isoos)

